com.versionone

## Class DB.Bit

- java.lang.Object
- - com.versionone.DB
  - - com.versionone.DB.Bit

- Enclosing class:
    DB

      public static class DB.Bit
      extends DB

  DB type for Boolean values

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.versionone.DB

      `DB.BigInt, DB.Bit, DB.DateTime, DB.Int, DB.NullObject, DB.Real, DB.Str`

  - ### Field Summary

    - ### Fields inherited from class com.versionone.DB

      `Null`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bit()` Default Constructor
    `Bit(boolean value)` Construct from a Boolean value
    `Bit(int value)` Create from an integer.
    `Bit(Object value)` Construct from an Object Object Type | Value set by Boolean | value.booleanValue String | 0 or false - value is false | 1 or true - value is true | Boolean.parseBoolean(value) Anything else creates a NULL instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanValue()` Returns the value as a boolean
    `boolean` | `equals(Object obj)` Compare this instance to another DB.Bit or Boolean object
    `Boolean` | `getValue()` Returns the Boolean value or null if the instance is null

    - ### Methods inherited from class com.versionone.DB

      `hashCode, isNull, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Bit

          public Bit()

      Default Constructor

    - #### Bit

          public Bit(boolean value)

      Construct from a Boolean value
      Parameters:
        `value` - - boolean used to set value

    - #### Bit

          public Bit(Object value)

      Construct from an Object Object Type | Value set by Boolean | value.booleanValue String | 0 or false - value is false | 1 or true - value is true | Boolean.parseBoolean(value) Anything else creates a NULL instance
      Parameters:
        `value` - - object used to set value

    - #### Bit

          public Bit(int value)

      Create from an integer. Value is determined by (value != 0)
      Parameters:
        `value` - - integer used to set value

  - ### Method Detail

    - #### getValue

          public Boolean getValue()

      Returns the Boolean value or null if the instance is null
      Specified by:
        `getValue` in class `DB`
      Returns:
        Object

    - #### booleanValue

          public boolean booleanValue()

      Returns the value as a boolean
      Returns:
        - boolean value
      Throws:
        `NullPointerException` - if the instance is null

    - #### equals

          public boolean equals(Object obj)

      Compare this instance to another DB.Bit or Boolean object
      Specified by:
        `equals` in class `DB`

Copyright © 2016 VersionOne, Inc.. All rights reserved.